close all;

%Generate data
[data, class] = testdatanorm80(2,450, [1,1;-1,-1], .8*ones(2));
pause;

% single step perceptron

params(2)=100000;params(1)=0.1;params(3)=.2;
[w,err]=xvalidate(data,class,3,'sspercept',[1,2],params);

% single step perceptron normalized

params(2)=100000;params(1)=0.1;params(3)=.2;
[w,err]=xvalidate(data,class,3,'ssperceptn',[1,2],params);

% Mean-squared error

[w,err]=xvalidate(data,class,3,'mse',[1,2],params);

% Support Vector Machines
[model,predict_label,accuracy]=xvalidate_svm(data,class,3,[1 2]);