function plotxval(train_data,test_data,train_y,test_y,w,str);% plot cross-validation data
figure; 
% plot up to 2 classes of training data
ind = [-1 1];
for i=1:2
    cl = ind(i);
    cind=(train_y==ind(i));
    if cl==ind(1)
        plot(train_data(cind,1),train_data(cind,2),'bx');hold on;   
    elseif cl==ind(2)
        plot(train_data(cind,1),train_data(cind,2),'mo');hold on;
    end;
end;
title(str);
% plot up to 2 classes of test data
ind = [-1 1];
for i=1:2
    cl = ind(i);
    cind=(test_y==ind(i));
    if cl==ind(1)
        plot(test_data(cind,1),test_data(cind,2),'cx');hold on;   
    elseif cl==ind(2)
        plot(test_data(cind,1),test_data(cind,2),'ro');hold on;
    end;
end;

% plot decision surface
x1 = floor(min(train_data(:,1))):.01:ceil(max(train_data(:,1)));
x2 = -(w(1)*x1+w(3))/w(2);
plot(x1,x2,'k-');
axis=[floor(min(train_data(:,1))) floor(min(train_data(:,2))) ceil(max(train_data(:,1))) ceil(max(train_data(:,2)))];

hold off;