function [data, class] = testdatanorm80(n_class, N, mean, var);
% 2_d test data generation, all variables are normally distributed and
% uncorrelated
randn('state',sum(100*clock));rand('state',sum(100*clock));
class = zeros(N,1);
data = zeros(N,2);

for i=1:N
    if rand(1)<.9
        class(i)=1;
    else
        class(i)=2;
    end;
    data(i,:)=[mean(class(i),1)+randn(1)*var(class(i),1),mean(class(i),2)+randn(1)*var(class(i),2)];
        
end;
% plot up to 4 classes
for i=1:n_class
    ind =rem(i-1,4);cind=class==i;
    if ind==1
        plot(data(cind,1),data(cind,2),'bx');hold on;   
    elseif ind==2
        plot(data(cind,1),data(cind,2),'co');hold on;
    elseif ind==3
        plot(data(cind,1),data(cind,2),'go');hold on;
    else ind==4
        plot(data(cind,1),data(cind,2),'rx');hold on;
    end;
end;
axis=[floor(min(data(:,1))) floor(min(data(:,2))) ceil(max(data(:,1))) ceil(max(data(:,2)))];
hold off;